Index: calculatorview/perspectives/calculator/sld_panel.py
===================================================================
--- calculatorview/perspectives/calculator/sld_panel.py	(revision 66bfacfc4fd20a684522c11a1bfb369dd63f44a5)
+++ calculatorview/perspectives/calculator/sld_panel.py	(revision 1e96a66677ae55011c82f1762759fc55b6e35479)
@@ -59,9 +59,9 @@
         self.density_ctl = None
         self.wavelength_ctl = None
-        self.neutron_sld_reel_ctl = None
+        self.neutron_sld_real_ctl = None
         self.neutron_sld_im_ctl = None
-        self.mo_ka_sld_reel_ctl = None
+        self.mo_ka_sld_real_ctl = None
         self.mo_ka_sld_im_ctl = None
-        self.cu_ka_sld_reel_ctl = None
+        self.cu_ka_sld_real_ctl = None
         self.cu_ka_sld_im_ctl = None
         self.neutron_abs_ctl = None
@@ -139,8 +139,8 @@
         i_complex = '- i'
         neutron_sld_txt = wx.StaticText(self, -1, 'Neutron SLD')
-        self.neutron_sld_reel_ctl = wx.TextCtrl(self, -1,
+        self.neutron_sld_real_ctl = wx.TextCtrl(self, -1,
                                                  size=(_BOX_WIDTH, -1))
-        self.neutron_sld_reel_ctl.SetEditable(False)
-        self.neutron_sld_reel_ctl.SetToolTipString("Neutron SLD real.")
+        self.neutron_sld_real_ctl.SetEditable(False)
+        self.neutron_sld_real_ctl.SetToolTipString("Neutron SLD real.")
         self.neutron_sld_im_ctl = wx.TextCtrl(self, -1, 
                                               size=(_BOX_WIDTH, -1))
@@ -150,8 +150,8 @@
         
         cu_ka_sld_txt = wx.StaticText(self, -1, 'Cu Ka SLD')
-        self.cu_ka_sld_reel_ctl = wx.TextCtrl(self, -1,
+        self.cu_ka_sld_real_ctl = wx.TextCtrl(self, -1,
                                                size=(_BOX_WIDTH, -1))
-        self.cu_ka_sld_reel_ctl.SetEditable(False)
-        self.cu_ka_sld_reel_ctl.SetToolTipString("Cu Ka SLD real.")
+        self.cu_ka_sld_real_ctl.SetEditable(False)
+        self.cu_ka_sld_real_ctl.SetToolTipString("Cu Ka SLD real.")
         self.cu_ka_sld_im_ctl = wx.TextCtrl(self, -1, 
                                             size=(_BOX_WIDTH, -1))
@@ -161,8 +161,8 @@
         
         mo_ka_sld_txt = wx.StaticText(self, -1, 'Mo Ka SLD')
-        self.mo_ka_sld_reel_ctl = wx.TextCtrl(self, -1,
+        self.mo_ka_sld_real_ctl = wx.TextCtrl(self, -1,
                                                size=(_BOX_WIDTH, -1))
-        self.mo_ka_sld_reel_ctl.SetEditable(False)
-        self.mo_ka_sld_reel_ctl.SetToolTipString("Mo Ka SLD real.")
+        self.mo_ka_sld_real_ctl.SetEditable(False)
+        self.mo_ka_sld_real_ctl.SetToolTipString("Mo Ka SLD real.")
         self.mo_ka_sld_im_ctl = wx.TextCtrl(self, -1,
                                              size=(_BOX_WIDTH, -1))
@@ -197,5 +197,5 @@
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        sizer_output.Add(self.neutron_sld_reel_ctl, (iy, ix), (1, 1),
+        sizer_output.Add(self.neutron_sld_real_ctl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
@@ -213,5 +213,5 @@
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        sizer_output.Add(self.cu_ka_sld_reel_ctl, (iy, ix), (1, 1),
+        sizer_output.Add(self.cu_ka_sld_real_ctl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
@@ -229,5 +229,5 @@
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        sizer_output.Add(self.mo_ka_sld_reel_ctl,(iy, ix), (1, 1),
+        sizer_output.Add(self.mo_ka_sld_real_ctl,(iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
@@ -393,13 +393,13 @@
             # set neutron sld values
             val = format_number(sld_real * _SCALE)
-            self.neutron_sld_reel_ctl.SetValue(val)
+            self.neutron_sld_real_ctl.SetValue(val)
             val = format_number(math.fabs(sld_im) * _SCALE)
             self.neutron_sld_im_ctl.SetValue(val)
             # Compute the Cu SLD
-            self.cu_ka_sld_reel_ctl.SetValue(format_number(cu_real *_SCALE))
+            self.cu_ka_sld_real_ctl.SetValue(format_number(cu_real *_SCALE))
             val = format_number(math.fabs(cu_im )* _SCALE)
             self.cu_ka_sld_im_ctl.SetValue(val)
             # Compute the Mo SLD
-            self.mo_ka_sld_reel_ctl.SetValue(format_number(mo_real *_SCALE))
+            self.mo_ka_sld_real_ctl.SetValue(format_number(mo_real *_SCALE))
             val = format_number(math.fabs(mo_im)* _SCALE)
             self.mo_ka_sld_im_ctl.SetValue(val)
@@ -422,9 +422,9 @@
         Clear the outputs textctrl
         """
-        self.neutron_sld_reel_ctl.SetValue("")
+        self.neutron_sld_real_ctl.SetValue("")
         self.neutron_sld_im_ctl.SetValue("")
-        self.mo_ka_sld_reel_ctl.SetValue("")
+        self.mo_ka_sld_real_ctl.SetValue("")
         self.mo_ka_sld_im_ctl.SetValue("")
-        self.cu_ka_sld_reel_ctl.SetValue("")
+        self.cu_ka_sld_real_ctl.SetValue("")
         self.cu_ka_sld_im_ctl.SetValue("")
         self.neutron_abs_ctl.SetValue("")
Index: calculatorview/test/utest_gui_sld.py
===================================================================
--- calculatorview/test/utest_gui_sld.py	(revision 66bfacfc4fd20a684522c11a1bfb369dd63f44a5)
+++ calculatorview/test/utest_gui_sld.py	(revision 1e96a66677ae55011c82f1762759fc55b6e35479)
@@ -92,8 +92,35 @@
         self.sld_frame.panel.wavelength_ctl.SetValue("")
         self.sld_frame.panel.ProcessEvent(clickEvent)
-        bkg = self.sld_frame.panel.wavelength_ctl.GetBackgroundColour()
+        cp_bkg = self.sld_frame.panel.compound_ctl.GetBackgroundColour()
+        self.assert_(cp_bkg.GetAsString() == 'white')
+        ds_bkg = self.sld_frame.panel.density_ctl.GetBackgroundColour()
+        self.assert_(ds_bkg.GetAsString() == 'white')
+        wv_bkg = self.sld_frame.panel.wavelength_ctl.GetBackgroundColour()
         value = self.sld_frame.panel.wavelength_ctl.GetValue()
-        self.assert_(bkg.GetAsString() == 'white')
+        self.assert_(wv_bkg.GetAsString() == 'white')
         self.assert_(float(value) == WAVELENGTH)
+        sld_real = self.sld_frame.panel.neutron_sld_real_ctl.GetValue()
+        sld_im = self.sld_frame.panel.neutron_sld_im_ctl.GetValue()
+        mo_real = self.sld_frame.panel.mo_ka_sld_real_ctl.GetValue()
+        mo_im = self.sld_frame.panel.mo_ka_sld_im_ctl.GetValue()
+        cu_real = self.sld_frame.panel.cu_ka_sld_real_ctl.GetValue()
+        cu_im = self.sld_frame.panel.cu_ka_sld_im_ctl.GetValue()
+        abs = self.sld_frame.panel.neutron_abs_ctl.GetValue()
+        incoh = self.sld_frame.panel.neutron_inc_ctl.GetValue()
+        length = self.sld_frame.panel.neutron_length_ctl.GetValue()
+        
+        self.assertAlmostEquals(float(sld_real), 1.04e-6, 1)
+        self.assertAlmostEquals(float(sld_im), -1.5e-7, 1)
+        #test absorption value
+        self.assertAlmostEquals(float(abs) , 0.0741, 2)
+        self.assertAlmostEquals(float(incoh), 5.62, 2)
+        #Test length
+        self.assertAlmostEquals(float(length), 0.1755, 2)
+        #test Cu sld
+        self.assertAlmostEquals(float(cu_real), 9.46e-6, 1)
+        self.assertAlmostEquals(float(cu_im), 3.01e-8)
+        # test Mo sld
+        self.assertAlmostEquals(float(mo_real), 9.43e-6)
+        self.assertAlmostEquals(float(mo_im), 5.65e-7, 1)
         #compute invariant with all correct inputs value
         self.sld_frame.panel.compound_ctl.SetValue("H2O")
Index: calculatorview/test/utest_sld.py
===================================================================
--- calculatorview/test/utest_sld.py	(revision 66bfacfc4fd20a684522c11a1bfb369dd63f44a5)
+++ calculatorview/test/utest_sld.py	(revision 1e96a66677ae55011c82f1762759fc55b6e35479)
@@ -46,7 +46,7 @@
         (sld_real,sld_im,sld_inc), (coh,abs,incoh), length = neutron_scattering(self.compound,
                                        density=self.density, wavelength=self.wavelength) 
-        cu_reel, cu_im = calculate_xray_sld(element="Cu", density=self.density,
+        cu_real, cu_im = calculate_xray_sld(element="Cu", density=self.density,
                                   molecule_formula=self.sld_formula)
-        mo_reel, mo_im = calculate_xray_sld(element="Mo", density=self.density,
+        mo_real, mo_im = calculate_xray_sld(element="Mo", density=self.density,
                                   molecule_formula=self.sld_formula)
         #test sld 
@@ -59,8 +59,8 @@
         self.assertAlmostEquals(length, 0.1755, 3)
         #test Cu sld
-        self.assertAlmostEquals(cu_reel * _SCALE, 9.46e-6, 1)
+        self.assertAlmostEquals(cu_real * _SCALE, 9.46e-6, 1)
         self.assertAlmostEquals(cu_im * _SCALE, 3.01e-8)
         # test Mo sld
-        self.assertAlmostEquals(mo_reel * _SCALE, 9.43e-6)
+        self.assertAlmostEquals(mo_real * _SCALE, 9.43e-6)
         self.assertAlmostEquals(mo_im * _SCALE, 5.65e-7,1)
     
@@ -86,7 +86,7 @@
         (sld_real,sld_im,sld_inc), (coh,abs,incoh), length = neutron_scattering(self.compound,
                                        density=self.density, wavelength=self.wavelength) 
-        cu_reel, cu_im = calculate_xray_sld(element="Cu", density=self.density,
+        cu_real, cu_im = calculate_xray_sld(element="Cu", density=self.density,
                                   molecule_formula=self.sld_formula)
-        mo_reel, mo_im = calculate_xray_sld(element="Mo", density=self.density,
+        mo_real, mo_im = calculate_xray_sld(element="Mo", density=self.density,
                                   molecule_formula=self.sld_formula)
         #test sld 
@@ -99,8 +99,8 @@
         self.assertAlmostEquals(length, 1.549, 3)
         #test Cu sld
-        self.assertAlmostEquals(cu_reel * _SCALE, 9.36e-6, 1)
+        self.assertAlmostEquals(cu_real * _SCALE, 9.36e-6, 1)
         self.assertAlmostEquals(cu_im * _SCALE, 2.98e-8)
         # test Mo sld
-        self.assertAlmostEquals(mo_reel * _SCALE, 9.33e-6)
+        self.assertAlmostEquals(mo_real * _SCALE, 9.33e-6)
         self.assertAlmostEquals(mo_im * _SCALE, 5.59e-9,1)
     
@@ -126,7 +126,7 @@
         (sld_real,sld_im,sld_inc), (coh,abs,incoh), length = neutron_scattering(self.compound,
                                 density=self.density, wavelength=self.wavelength) 
-        cu_reel, cu_im = calculate_xray_sld(element="Cu", density=self.density,
+        cu_real, cu_im = calculate_xray_sld(element="Cu", density=self.density,
                                   molecule_formula=self.sld_formula)
-        mo_reel, mo_im = calculate_xray_sld(element="Mo", density=self.density,
+        mo_real, mo_im = calculate_xray_sld(element="Mo", density=self.density,
                                   molecule_formula=self.sld_formula)
         #test sld 
@@ -139,8 +139,8 @@
         self.assertAlmostEquals(length, 0.005551, 4)
         #test Cu sld
-        self.assertAlmostEquals(cu_reel * _SCALE, 2.89e-5, 1)
+        self.assertAlmostEquals(cu_real * _SCALE, 2.89e-5, 1)
         self.assertAlmostEquals(cu_im * _SCALE, 2.81e-6)
         # test Mo sld
-        self.assertAlmostEquals(mo_reel * _SCALE, 2.84e-5, 1)
+        self.assertAlmostEquals(mo_real * _SCALE, 2.84e-5, 1)
         self.assertAlmostEquals(mo_im * _SCALE, 7.26e-7,1)
   
